Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dstevd

scipy.linalg.lapack.dstevd(d, e[, compute_v, lwork, liwork, overwrite_d, overwrite_e]) = <fortran function dstevd>

  Wrapper for `dstevd`.

  Parameters:
    d input rank-1 array(‘d’) with bounds (n)
    e input rank-1 array(‘d’) with bounds (MAX(-1 + n, 1))
  Returns:
    vals rank-1 array(‘d’) with bounds (n) and d storage
    z rank-2 array(‘d’) with bounds (ldz,(compute_v?n:1))
    info int
  Other Parameters:
    overwrite_d input int, optional

      Default: 0

    overwrite_e input int, optional

      Default: 0

    compute_v input int, optional

      Default: 1

    lwork input int, optional

      Default: (compute_v?1+4*n+n*n:1)

    liwork input int, optional

      Default: (compute_v?3+5*n:1)